OpenNMS API 1.2.9

## org.opennms.web.response
Class RRDListServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.opennms.web.response.RRDListServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class RRDListServlet
extends javax.servlet.http.HttpServlet

A servlet that creates a plain text file with the list of RRD files.

Author:
  Lawrence Karnowski , OpenNMS
See Also:
  Serialized Form

Field Summary
`protected ResponseTimeModel` `model` Encapsulates the logic for this servlet.

Fields inherited from class javax.servlet.http.HttpServlet
``

Fields inherited from class javax.servlet.GenericServlet
``

Constructor Summary
`RRDListServlet()`

Method Summary
`void` `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` `init()` Initializes this servlet by reading the rrdtool-graph properties file.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### model

    protected ResponseTimeModel model

  Encapsulates the logic for this servlet.

Constructor Detail

### RRDListServlet

    public RRDListServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Initializes this servlet by reading the rrdtool-graph properties file.

  Throws:
    `javax.servlet.ServletException`

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws javax.servlet.ServletException,
                      java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.